summary refs log tree commit diff
path: root/pkgs
diff options
context:
space:
mode:
authorTobias Geerinckx-Rice <tobias.geerinckx.rice@gmail.com>2016-01-11 23:26:02 +0100
committerTobias Geerinckx-Rice <tobias.geerinckx.rice@gmail.com>2016-01-12 03:08:10 +0100
commitb021d9aacfdcb4b1e60734a560138f18cdb90220 (patch)
tree5af4272d175db4d3b01327d54efe3086e64ad6ee /pkgs
parent464f327aa6b504526ef5526f1968491c4d44de90 (diff)
downloadnixpkgs-b021d9aacfdcb4b1e60734a560138f18cdb90220.tar
nixpkgs-b021d9aacfdcb4b1e60734a560138f18cdb90220.tar.gz
nixpkgs-b021d9aacfdcb4b1e60734a560138f18cdb90220.tar.bz2
nixpkgs-b021d9aacfdcb4b1e60734a560138f18cdb90220.tar.lz
nixpkgs-b021d9aacfdcb4b1e60734a560138f18cdb90220.tar.xz
nixpkgs-b021d9aacfdcb4b1e60734a560138f18cdb90220.tar.zst
nixpkgs-b021d9aacfdcb4b1e60734a560138f18cdb90220.zip
metaEnvironment: remove dead packages
Broken since 2013. Upstream is dead.
Diffstat (limited to 'pkgs')
-rw-r--r--pkgs/development/libraries/asc-support/default.nix34
-rw-r--r--pkgs/development/libraries/asc-support/mingw.patch48
-rw-r--r--pkgs/development/libraries/asf-support/default.nix24
-rw-r--r--pkgs/development/libraries/aterm/2.8.nix36
-rw-r--r--pkgs/development/libraries/c-library/default.nix22
-rw-r--r--pkgs/development/libraries/c-library/mingw.patch114
-rw-r--r--pkgs/development/libraries/config-support/default.nix22
-rw-r--r--pkgs/development/libraries/error-support/default.nix22
-rw-r--r--pkgs/development/libraries/pgen/default.nix33
-rw-r--r--pkgs/development/libraries/pt-support/default.nix24
-rw-r--r--pkgs/development/libraries/ptable-support/default.nix22
-rw-r--r--pkgs/development/libraries/rstore-support/default.nix23
-rw-r--r--pkgs/development/libraries/sdf-library/default.nix14
-rw-r--r--pkgs/development/libraries/sdf-support/default.nix27
-rw-r--r--pkgs/development/libraries/sdf-support/mingw.patch20
-rw-r--r--pkgs/development/libraries/sglr/default.nix28
-rw-r--r--pkgs/development/libraries/tide-support/default.nix23
-rw-r--r--pkgs/development/libraries/toolbuslib/default.nix24
-rw-r--r--pkgs/development/libraries/toolbuslib/mingw.patch888
-rw-r--r--pkgs/top-level/all-packages.nix19
20 files changed, 0 insertions, 1467 deletions
diff --git a/pkgs/development/libraries/asc-support/default.nix b/pkgs/development/libraries/asc-support/default.nix
deleted file mode 100644
index a2b2588d9cc..00000000000
--- a/pkgs/development/libraries/asc-support/default.nix
+++ /dev/null
@@ -1,34 +0,0 @@
-
-{ stdenv
-, fetchurl
-, aterm
-, toolbuslib
-, asfSupport
-, errorSupport
-, ptSupport
-, sglr
-, tideSupport
-, cLibrary
-, configSupport 
-, ptableSupport
-, rstoreSupport
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation rec {
-  name = "asc-support-2.6";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "1svq368kdxnmjdfv8sqs0cn9s69c75qcp44mpapfjj6kfhrzkxdc";
-  };
-  
-  patches = if isMingw then [./mingw.patch] else [];
-
-  buildInputs = [aterm toolbuslib asfSupport errorSupport ptSupport sglr tideSupport cLibrary configSupport ptableSupport rstoreSupport ];
-  nativeBuildInputs = [pkgconfig];
-  
-  dontStrip = isMingw;
-}  
diff --git a/pkgs/development/libraries/asc-support/mingw.patch b/pkgs/development/libraries/asc-support/mingw.patch
deleted file mode 100644
index 8a421a99dae..00000000000
--- a/pkgs/development/libraries/asc-support/mingw.patch
+++ /dev/null
@@ -1,48 +0,0 @@
-diff -rc asc-support-2.6/lib/asc-main.c asc-support-2.6-new/lib/asc-main.c
-*** asc-support-2.6/lib/asc-main.c	2008-11-10 14:12:47.000000000 +0100
---- asc-support-2.6-new/lib/asc-main.c	2010-08-24 11:02:04.000000000 +0200
-***************
-*** 7,13 ****
-  #include <ctype.h>
-  #include <string.h>
-  #include <sys/time.h>
-- #include <sys/resource.h>
-  #include <unistd.h>
-  #include <aterm2.h>
-  #include <sglrInterface.h>
---- 7,12 ----
-***************
-*** 46,52 ****
-  }
-  
-  static void printStats() {
--   struct rusage usage;
-    FILE *file;
-    char buf[BUFSIZ];
-    int size, resident, shared, trs, lrs, drs, dt;
---- 45,50 ----
-***************
-*** 61,74 ****
-      fprintf(stderr, "could not open %s\n", buf);
-      perror("");
-    }
-!   if (getrusage(RUSAGE_SELF, &usage) == -1) {
-!     perror("rusage");
-!   } else {
-!     fprintf(stderr, "utime       : %ld.%06d sec.\n",
-! 	    (long)usage.ru_utime.tv_sec, (int)usage.ru_utime.tv_usec);
-!     fprintf(stderr, "stime       : %ld.%06d sec.\n",
-! 	    (long)usage.ru_stime.tv_sec, (int)usage.ru_stime.tv_usec);
-!   }
-  }
-  
-  static ATbool toolbusMode(int argc, char* argv[]) {
---- 59,66 ----
-      fprintf(stderr, "could not open %s\n", buf);
-      perror("");
-    }
-!   fprintf(stderr, "utime       : %ld.%06d sec.\n", 0, 0);
-!   fprintf(stderr, "stime       : %ld.%06d sec.\n", 0, 0);
-  }
-  
-  static ATbool toolbusMode(int argc, char* argv[]) {
diff --git a/pkgs/development/libraries/asf-support/default.nix b/pkgs/development/libraries/asf-support/default.nix
deleted file mode 100644
index 9a712a869af..00000000000
--- a/pkgs/development/libraries/asf-support/default.nix
+++ /dev/null
@@ -1,24 +0,0 @@
-
-{ stdenv
-, fetchurl
-, aterm
-, errorSupport
-, ptSupport
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation rec {
-  name = "asf-support-1.8";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "04f7grfadq0si24rs9vlcknlahfa7nb3d6n6pjl1qbxi8m1gwhnc";
-  };
-
-  buildInputs = [aterm errorSupport ptSupport];
-  nativeBuildInputs = [pkgconfig];  
-
-  dontStrip = isMingw;
-} 
diff --git a/pkgs/development/libraries/aterm/2.8.nix b/pkgs/development/libraries/aterm/2.8.nix
deleted file mode 100644
index 3aa0e95305a..00000000000
--- a/pkgs/development/libraries/aterm/2.8.nix
+++ /dev/null
@@ -1,36 +0,0 @@
-{ stdenv, fetchurl }:
-
-let
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation {
-  name = "aterm-2.8";
-
-  src = fetchurl {
-    url = http://www.meta-environment.org/releases/aterm-2.8.tar.gz;
-    sha256 = "1vq4qpmcww3n9v7bklgp7z1yqi9gmk6hcahqjqdzc5ksa089rdms";
-  };
-
-  patches = [
-    # Fix for http://bugzilla.sen.cwi.nl:8080/show_bug.cgi?id=841
-    ./max-long.patch
-  ] ++ ( if isMingw then [./aterm-mingw-asm.patch] else [] );
-
-  # The test programs stress, randgen, fib, and testsafio all fail with
-  # segmentation faults when compiled with GCC 4.8.x, and the code itself many
-  # warnings, complaining "cast from pointer to integer of different size".
-  # This looks really bad. I leave the test suite enabled, because those issue
-  # feel too serious to just ignore.
-  doCheck = true;
-
-  dontStrip = isMingw;
-
-  meta = {
-    homepage = http://www.cwi.nl/htbin/sen1/twiki/bin/view/SEN1/ATerm;
-    license = "LGPL";
-    description = "Library for manipulation of term data structures in C";
-    platforms = stdenv.lib.platforms.linux ++ stdenv.lib.platforms.darwin;
-    maintainers = [ stdenv.lib.maintainers.eelco ];
-    broken = true;
-  };
-}
diff --git a/pkgs/development/libraries/c-library/default.nix b/pkgs/development/libraries/c-library/default.nix
deleted file mode 100644
index 714e8b66089..00000000000
--- a/pkgs/development/libraries/c-library/default.nix
+++ /dev/null
@@ -1,22 +0,0 @@
-{ stdenv
-, fetchurl
-, aterm
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation rec {
-  name = "c-library-1.2";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "0rmhag2653nq76n1n49blii9zx0ph58szv1xzw1i551wmw7yrz88";
-  };
-  
-  patches = if isMingw then [./mingw.patch] else [];
-  
-  buildInputs = [aterm];
-  nativeBuildInputs = [pkgconfig];
-  dontStrip = isMingw;
-}  
diff --git a/pkgs/development/libraries/c-library/mingw.patch b/pkgs/development/libraries/c-library/mingw.patch
deleted file mode 100644
index 8b5ca31e20d..00000000000
--- a/pkgs/development/libraries/c-library/mingw.patch
+++ /dev/null
@@ -1,114 +0,0 @@
-diff -rc c-library-1.2/statistics/rsrc-usage.c c-library-1.2-new/statistics/rsrc-usage.c
-*** c-library-1.2/statistics/rsrc-usage.c	2008-11-10 14:09:47.000000000 +0100
---- c-library-1.2-new/statistics/rsrc-usage.c	2010-08-24 09:09:13.000000000 +0200
-***************
-*** 2,81 ****
-  
-  #include <unistd.h>
-  #include <stdio.h>
-- #include <sys/time.h>
-- #include <sys/resource.h>
-  #include "rsrc-usage.h"
-  
-  /*static int AT_calcAllocatedSize();*/
-- static struct rusage rsrc_usage;
-- static struct rusage flt_rsrc_usage;
-  
-  void printrusage(struct rusage *rusage) {
--   fprintf(stderr, "maxrss %ld\n", rusage->ru_maxrss);
--   fprintf(stderr, "ixrss %ld\n", rusage->ru_ixrss);
--   fprintf(stderr, "idrss %ld\n", rusage->ru_idrss);
--   fprintf(stderr, "isrss %ld\n", rusage->ru_isrss);
--   fprintf(stderr, "minflt %ld\n", rusage->ru_minflt);
--   fprintf(stderr, "majflt %ld\n", rusage->ru_majflt);
--   fprintf(stderr, "nswap %ld\n", rusage->ru_nswap);
--   fprintf(stderr, "inblock %ld\n", rusage->ru_inblock);
--   fprintf(stderr, "oublock %ld\n", rusage->ru_oublock);
--   fprintf(stderr, "msgsnd %ld\n", rusage->ru_msgsnd);
--   fprintf(stderr, "msgrcv %ld\n", rusage->ru_msgrcv);
--   fprintf(stderr, "nsignals %ld\n", rusage->ru_nsignals);
--   fprintf(stderr, "nvcsw %ld\n", rusage->ru_nvcsw);
--   fprintf(stderr, "nivcsw %ld\n", rusage->ru_nivcsw);
-  }
-  
-  double STATS_Timer(void) {
-!   static double cur = 0;
-!   double prev;
-! 
-!   prev = cur;
-!   if (getrusage(RUSAGE_SELF, &rsrc_usage) == -1) {
-!     perror("getrusage");
-!     return (double)0;
-!   }
-! 
-!   cur  =  (double) (rsrc_usage.ru_utime.tv_sec) +
-!     (double) ((rsrc_usage.ru_utime.tv_usec) * 1.0e-06);
-! 
-!   prev = cur - prev;
-!   return prev > 0 ? prev: 0;
-  }
-  
-  void STATS_PageFlt(long *maj, long *min) {
-!   static long ma, mi, ma_prev, mi_prev;
-! 
-! 
-!   ma_prev = ma;
-!   mi_prev = mi;
-!   getrusage(RUSAGE_SELF, &flt_rsrc_usage);
-! 
-!   /* printrusage(&flt_rsrc_usage); */
-! 
-!   mi = flt_rsrc_usage.ru_minflt - mi_prev;
-!   ma = flt_rsrc_usage.ru_majflt - ma_prev;
-! 
-!   *maj = ma;
-!   *min = mi;
-  }
-  
-  long STATS_Allocated(void) {
-!   static long allocated = 0L;
-!   long tmp;
-! 
-!   tmp = allocated;
-!   /** \todo: AT_calcAllocatedSize() is unreachable. Fix. */
-!   /*allocated = AT_calcAllocatedSize();*/
-! 
-!   return allocated - tmp;
-  }
-  
-  long STATS_ResidentSetSize(void) {
-!   getrusage(RUSAGE_SELF, &rsrc_usage);
-! 
-!   return rsrc_usage.ru_maxrss;
-  }
-  
-  
---- 2,29 ----
-  
-  #include <unistd.h>
-  #include <stdio.h>
-  #include "rsrc-usage.h"
-  
-  /*static int AT_calcAllocatedSize();*/
-  
-  void printrusage(struct rusage *rusage) {
-  }
-  
-  double STATS_Timer(void) {
-!    return 0;
-  }
-  
-  void STATS_PageFlt(long *maj, long *min) {
-!   *maj = 0;
-!   *min = 0;
-  }
-  
-  long STATS_Allocated(void) {
-!   return 0;
-  }
-  
-  long STATS_ResidentSetSize(void) {
-!   return 0;
-  }
-  
-  
diff --git a/pkgs/development/libraries/config-support/default.nix b/pkgs/development/libraries/config-support/default.nix
deleted file mode 100644
index d25accd4664..00000000000
--- a/pkgs/development/libraries/config-support/default.nix
+++ /dev/null
@@ -1,22 +0,0 @@
-
-{ stdenv
-, fetchurl
-, aterm
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation rec {
-  name = "config-support-1.4";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "0klhc7v760aklsy73pwn87snhgalkfxisac8srn8qcd3ljbfdrmi";
-  };
-
-  buildInputs = [aterm];
-  nativeBuildInputs = [pkgconfig];
-
-  dontStrip = isMingw;
-} 
diff --git a/pkgs/development/libraries/error-support/default.nix b/pkgs/development/libraries/error-support/default.nix
deleted file mode 100644
index 766a0dbef1d..00000000000
--- a/pkgs/development/libraries/error-support/default.nix
+++ /dev/null
@@ -1,22 +0,0 @@
-{ stdenv
-, fetchurl
-, aterm
-, toolbuslib
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation rec {
-  name = "error-support-1.6";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "0sdw3mrh90k76w2pvpdfg7d2cxfxb3s5spbqglkkpvx8bldhlk33";
-  };
-
-  buildInputs = [aterm toolbuslib];
-  nativeBuildInputs = [pkgconfig];
-
-  dontStrip = isMingw;
-} 
diff --git a/pkgs/development/libraries/pgen/default.nix b/pkgs/development/libraries/pgen/default.nix
deleted file mode 100644
index 53dc7a768ee..00000000000
--- a/pkgs/development/libraries/pgen/default.nix
+++ /dev/null
@@ -1,33 +0,0 @@
-
-{ stdenv
-, fetchurl
-, aterm
-, toolbuslib
-, cLibrary
-, configSupport
-, ptSupport
-, ptableSupport
-, errorSupport 
-, tideSupport
-, ascSupport
-, asfSupport
-, sdfSupport
-, sglr
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation ( rec {
-  name = "pgen-2.8.1";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "0z5x6rnsp732jdszcgm22bfw3v6ai9zl49b3s5iyk9qjfmyx0h41";
-  };
-
-  buildInputs = [aterm toolbuslib cLibrary configSupport ptSupport ptableSupport errorSupport tideSupport sdfSupport sglr ascSupport asfSupport];
-  nativeBuildInputs = [pkgconfig];
-
-  dontStrip = isMingw;
-} // ( if isMingw then { NIX_CFLAGS_COMPILE = "-O2 -Wl,--stack=0x2300000"; } else {} ) )
diff --git a/pkgs/development/libraries/pt-support/default.nix b/pkgs/development/libraries/pt-support/default.nix
deleted file mode 100644
index 063fdd7cc04..00000000000
--- a/pkgs/development/libraries/pt-support/default.nix
+++ /dev/null
@@ -1,24 +0,0 @@
-{ stdenv
-, fetchurl
-, aterm
-, toolbuslib
-, errorSupport
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation ( rec {
-  name = "pt-support-2.4";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "14krhhhmrg7605ppglzd1k08n7x61g7vdkh11qcz8hb9r4n71j45";
-  };
-
-  buildInputs = [aterm toolbuslib errorSupport];
-  nativeBuildInputs = [pkgconfig];
-  
-  dontStrip = isMingw;
-} // ( if isMingw then { NIX_CFLAGS_COMPILE = "-O2 -Wl,--stack=0x2300000"; } else {} ) )
-
diff --git a/pkgs/development/libraries/ptable-support/default.nix b/pkgs/development/libraries/ptable-support/default.nix
deleted file mode 100644
index 357d288c732..00000000000
--- a/pkgs/development/libraries/ptable-support/default.nix
+++ /dev/null
@@ -1,22 +0,0 @@
-{ stdenv
-, fetchurl
-, aterm
-, ptSupport
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation rec {
-  name = "ptable-support-1.2";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "0bqx1xsimf9vq6q2qnsy3565rzlha4cm2blcn3kqwbirfyj1kln9";
-  };
-
-  buildInputs = [aterm ptSupport];
-  nativeBuildInputs = [pkgconfig];
-  
-  dontStrip = isMingw;
-} 
diff --git a/pkgs/development/libraries/rstore-support/default.nix b/pkgs/development/libraries/rstore-support/default.nix
deleted file mode 100644
index c18f52e84d7..00000000000
--- a/pkgs/development/libraries/rstore-support/default.nix
+++ /dev/null
@@ -1,23 +0,0 @@
-
-{ stdenv
-, fetchurl
-, aterm
-, toolbuslib
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in    
-stdenv.mkDerivation rec {
-  name = "rstore-support-1.0";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "0fahq947bdaiymfz08fb2kvbnggpc8ybhh3sbxgja61pp2jizg46";
-  };
-
-  buildInputs = [aterm toolbuslib];
-  nativeBuildInputs = [pkgconfig];  
-
-  dontStrip = isMingw;
-} 
diff --git a/pkgs/development/libraries/sdf-library/default.nix b/pkgs/development/libraries/sdf-library/default.nix
deleted file mode 100644
index 76c1782fbc5..00000000000
--- a/pkgs/development/libraries/sdf-library/default.nix
+++ /dev/null
@@ -1,14 +0,0 @@
-{ stdenv
-, fetchurl
-, aterm
-}:
-stdenv.mkDerivation {
-  name = "sdf-library-1.1";
-
-  src = fetchurl {
-    url = http://www.meta-environment.org/releases/sdf-library-1.1.tar.gz;
-    sha256 = "0dnv2f690s4q60bssavivganyalh7n966grcsb5hlb6z57gbaqp1";
-  };
-
-  buildInputs = [aterm];
-}
diff --git a/pkgs/development/libraries/sdf-support/default.nix b/pkgs/development/libraries/sdf-support/default.nix
deleted file mode 100644
index 8095650b12f..00000000000
--- a/pkgs/development/libraries/sdf-support/default.nix
+++ /dev/null
@@ -1,27 +0,0 @@
-
-{ stdenv
-, fetchurl
-, aterm
-, toolbuslib
-, errorSupport
-, ptSupport
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation rec {
-  name = "sdf-support-2.5";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "0zazks2yvm8gqdx0389b1b8hf8ss284q1ywk4d7cqc8glba29cs0";
-  };
-
-  patches = if isMingw then [./mingw.patch] else [];
-
-  buildInputs = [aterm toolbuslib errorSupport ptSupport];
-  nativeBuildInputs = [pkgconfig];  
-
-  dontStrip = isMingw;
-} 
diff --git a/pkgs/development/libraries/sdf-support/mingw.patch b/pkgs/development/libraries/sdf-support/mingw.patch
deleted file mode 100644
index 59e57065b7d..00000000000
--- a/pkgs/development/libraries/sdf-support/mingw.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-diff -rc sdf-support-2.5/utils/sdf-modules/src/main.c sdf-support-2.5-new/utils/sdf-modules/src/main.c
-*** sdf-support-2.5/utils/sdf-modules/src/main.c	2008-11-10 14:20:07.000000000 +0100
---- sdf-support-2.5-new/utils/sdf-modules/src/main.c	2010-08-24 10:53:04.000000000 +0200
-***************
-*** 19,25 ****
-  /*{{{  defines */
-  
-  #define SEP '/'
-! #define PATH_LEN (_POSIX_PATH_MAX)
-  
-  /*}}}  */
-  /*{{{  variables */
---- 19,25 ----
-  /*{{{  defines */
-  
-  #define SEP '/'
-! #define PATH_LEN (256)
-  
-  /*}}}  */
-  /*{{{  variables */
diff --git a/pkgs/development/libraries/sglr/default.nix b/pkgs/development/libraries/sglr/default.nix
deleted file mode 100644
index f6c14eae464..00000000000
--- a/pkgs/development/libraries/sglr/default.nix
+++ /dev/null
@@ -1,28 +0,0 @@
-
-{ stdenv
-, fetchurl
-, aterm
-, toolbuslib
-, cLibrary
-, configSupport
-, ptSupport
-, ptableSupport
-, errorSupport 
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in    
-stdenv.mkDerivation rec {
-  name = "sglr-4.5.3";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "1k3q9k32r6i2wh3k6b000fs11n0vhy6yr8kr0bd58ybwp5dnjj77";
-  };
-
-  buildInputs = [aterm toolbuslib cLibrary configSupport ptSupport ptableSupport errorSupport];
-  nativeBuildInputs = [pkgconfig];  
-
-  dontStrip = isMingw;
-} 
diff --git a/pkgs/development/libraries/tide-support/default.nix b/pkgs/development/libraries/tide-support/default.nix
deleted file mode 100644
index d30d316c0dc..00000000000
--- a/pkgs/development/libraries/tide-support/default.nix
+++ /dev/null
@@ -1,23 +0,0 @@
-
-{ stdenv
-, fetchurl
-, aterm
-, toolbuslib
-, pkgconfig
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in    
-stdenv.mkDerivation rec {
-  name = "tide-support-1.3.1";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "06n80rihcj2dhrvx8969jbgxqvg2vb3jqpkdmcr47y08xs7j5n2b";
-  };
-
-  buildInputs = [aterm toolbuslib];
-  nativeBuildInputs = [pkgconfig];    
-
-  dontStrip = isMingw;
-} 
diff --git a/pkgs/development/libraries/toolbuslib/default.nix b/pkgs/development/libraries/toolbuslib/default.nix
deleted file mode 100644
index 16680f0134c..00000000000
--- a/pkgs/development/libraries/toolbuslib/default.nix
+++ /dev/null
@@ -1,24 +0,0 @@
-{ stdenv
-, fetchurl
-, aterm
-, pkgconfig
-, w32api
-}:
-let 
-  isMingw = stdenv ? cross && stdenv.cross.config == "i686-pc-mingw32" ;
-in
-stdenv.mkDerivation rec {
-  name = "toolbuslib-1.1";
-
-  src = fetchurl {
-    url = "http://www.meta-environment.org/releases/${name}.tar.gz";
-    sha256 = "0f4q0r177lih23ypypc8ckkyv5vhvnkhbrv25gswrqdif5dxbwr0";
-  };
-
-  patches = if isMingw then [./mingw.patch] else [];
-  
-  buildInputs = [aterm] ++ (if isMingw then [w32api] else []);
-  nativeBuildInputs = [pkgconfig];
-  
-  dontStrip = isMingw; 
-}  
diff --git a/pkgs/development/libraries/toolbuslib/mingw.patch b/pkgs/development/libraries/toolbuslib/mingw.patch
deleted file mode 100644
index 04484aaee92..00000000000
--- a/pkgs/development/libraries/toolbuslib/mingw.patch
+++ /dev/null
@@ -1,888 +0,0 @@
-diff -rc toolbuslib-1.1/configure toolbuslib-1.1-new/configure
-*** toolbuslib-1.1/configure	2008-11-10 13:59:46.000000000 +0100
---- toolbuslib-1.1-new/configure	2010-08-23 16:53:39.000000000 +0200
-***************
-*** 20719,21162 ****
-  fi
-  
-  
-- if test "${ac_cv_header_netdb_h+set}" = set; then
--   echo "$as_me:$LINENO: checking for netdb.h" >&5
-- echo $ECHO_N "checking for netdb.h... $ECHO_C" >&6
-- if test "${ac_cv_header_netdb_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_netdb_h" >&5
-- echo "${ECHO_T}$ac_cv_header_netdb_h" >&6
-- else
--   # Is the header compilable?
-- echo "$as_me:$LINENO: checking netdb.h usability" >&5
-- echo $ECHO_N "checking netdb.h usability... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- $ac_includes_default
-- #include <netdb.h>
-- _ACEOF
-- rm -f conftest.$ac_objext
-- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--   (eval $ac_compile) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } &&
-- 	 { ac_try='test -z "$ac_c_werror_flag"
-- 			 || test ! -s conftest.err'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; } &&
-- 	 { ac_try='test -s conftest.$ac_objext'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; }; then
--   ac_header_compiler=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
-- ac_header_compiler=no
-- fi
-- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-- echo "${ECHO_T}$ac_header_compiler" >&6
-- 
-- # Is the header present?
-- echo "$as_me:$LINENO: checking netdb.h presence" >&5
-- echo $ECHO_N "checking netdb.h presence... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- #include <netdb.h>
-- _ACEOF
-- if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
--   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } >/dev/null; then
--   if test -s conftest.err; then
--     ac_cpp_err=$ac_c_preproc_warn_flag
--     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
--   else
--     ac_cpp_err=
--   fi
-- else
--   ac_cpp_err=yes
-- fi
-- if test -z "$ac_cpp_err"; then
--   ac_header_preproc=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
--   ac_header_preproc=no
-- fi
-- rm -f conftest.err conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-- echo "${ECHO_T}$ac_header_preproc" >&6
-- 
-- # So?  What about this header?
-- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
--   yes:no: )
--     { echo "$as_me:$LINENO: WARNING: netdb.h: accepted by the compiler, rejected by the preprocessor!" >&5
-- echo "$as_me: WARNING: netdb.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netdb.h: proceeding with the compiler's result" >&5
-- echo "$as_me: WARNING: netdb.h: proceeding with the compiler's result" >&2;}
--     ac_header_preproc=yes
--     ;;
--   no:yes:* )
--     { echo "$as_me:$LINENO: WARNING: netdb.h: present but cannot be compiled" >&5
-- echo "$as_me: WARNING: netdb.h: present but cannot be compiled" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netdb.h:     check for missing prerequisite headers?" >&5
-- echo "$as_me: WARNING: netdb.h:     check for missing prerequisite headers?" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netdb.h: see the Autoconf documentation" >&5
-- echo "$as_me: WARNING: netdb.h: see the Autoconf documentation" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netdb.h:     section \"Present But Cannot Be Compiled\"" >&5
-- echo "$as_me: WARNING: netdb.h:     section \"Present But Cannot Be Compiled\"" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netdb.h: proceeding with the preprocessor's result" >&5
-- echo "$as_me: WARNING: netdb.h: proceeding with the preprocessor's result" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netdb.h: in the future, the compiler will take precedence" >&5
-- echo "$as_me: WARNING: netdb.h: in the future, the compiler will take precedence" >&2;}
--     (
--       cat <<\_ASBOX
-- ## ------------------------------------------ ##
-- ## Report this to the AC_PACKAGE_NAME lists.  ##
-- ## ------------------------------------------ ##
-- _ASBOX
--     ) |
--       sed "s/^/$as_me: WARNING:     /" >&2
--     ;;
-- esac
-- echo "$as_me:$LINENO: checking for netdb.h" >&5
-- echo $ECHO_N "checking for netdb.h... $ECHO_C" >&6
-- if test "${ac_cv_header_netdb_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- else
--   ac_cv_header_netdb_h=$ac_header_preproc
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_netdb_h" >&5
-- echo "${ECHO_T}$ac_cv_header_netdb_h" >&6
-- 
-- fi
-- if test $ac_cv_header_netdb_h = yes; then
--   :
-- else
--   { { echo "$as_me:$LINENO: error: \"*** no netdb.h\"" >&5
-- echo "$as_me: error: \"*** no netdb.h\"" >&2;}
--    { (exit 1); exit 1; }; }
-- fi
-- 
-- 
-- if test "${ac_cv_header_netinet_in_h+set}" = set; then
--   echo "$as_me:$LINENO: checking for netinet/in.h" >&5
-- echo $ECHO_N "checking for netinet/in.h... $ECHO_C" >&6
-- if test "${ac_cv_header_netinet_in_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_netinet_in_h" >&5
-- echo "${ECHO_T}$ac_cv_header_netinet_in_h" >&6
-- else
--   # Is the header compilable?
-- echo "$as_me:$LINENO: checking netinet/in.h usability" >&5
-- echo $ECHO_N "checking netinet/in.h usability... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- $ac_includes_default
-- #include <netinet/in.h>
-- _ACEOF
-- rm -f conftest.$ac_objext
-- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--   (eval $ac_compile) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } &&
-- 	 { ac_try='test -z "$ac_c_werror_flag"
-- 			 || test ! -s conftest.err'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; } &&
-- 	 { ac_try='test -s conftest.$ac_objext'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; }; then
--   ac_header_compiler=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
-- ac_header_compiler=no
-- fi
-- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-- echo "${ECHO_T}$ac_header_compiler" >&6
-- 
-- # Is the header present?
-- echo "$as_me:$LINENO: checking netinet/in.h presence" >&5
-- echo $ECHO_N "checking netinet/in.h presence... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- #include <netinet/in.h>
-- _ACEOF
-- if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
--   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } >/dev/null; then
--   if test -s conftest.err; then
--     ac_cpp_err=$ac_c_preproc_warn_flag
--     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
--   else
--     ac_cpp_err=
--   fi
-- else
--   ac_cpp_err=yes
-- fi
-- if test -z "$ac_cpp_err"; then
--   ac_header_preproc=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
--   ac_header_preproc=no
-- fi
-- rm -f conftest.err conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-- echo "${ECHO_T}$ac_header_preproc" >&6
-- 
-- # So?  What about this header?
-- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
--   yes:no: )
--     { echo "$as_me:$LINENO: WARNING: netinet/in.h: accepted by the compiler, rejected by the preprocessor!" >&5
-- echo "$as_me: WARNING: netinet/in.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/in.h: proceeding with the compiler's result" >&5
-- echo "$as_me: WARNING: netinet/in.h: proceeding with the compiler's result" >&2;}
--     ac_header_preproc=yes
--     ;;
--   no:yes:* )
--     { echo "$as_me:$LINENO: WARNING: netinet/in.h: present but cannot be compiled" >&5
-- echo "$as_me: WARNING: netinet/in.h: present but cannot be compiled" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/in.h:     check for missing prerequisite headers?" >&5
-- echo "$as_me: WARNING: netinet/in.h:     check for missing prerequisite headers?" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/in.h: see the Autoconf documentation" >&5
-- echo "$as_me: WARNING: netinet/in.h: see the Autoconf documentation" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/in.h:     section \"Present But Cannot Be Compiled\"" >&5
-- echo "$as_me: WARNING: netinet/in.h:     section \"Present But Cannot Be Compiled\"" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/in.h: proceeding with the preprocessor's result" >&5
-- echo "$as_me: WARNING: netinet/in.h: proceeding with the preprocessor's result" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/in.h: in the future, the compiler will take precedence" >&5
-- echo "$as_me: WARNING: netinet/in.h: in the future, the compiler will take precedence" >&2;}
--     (
--       cat <<\_ASBOX
-- ## ------------------------------------------ ##
-- ## Report this to the AC_PACKAGE_NAME lists.  ##
-- ## ------------------------------------------ ##
-- _ASBOX
--     ) |
--       sed "s/^/$as_me: WARNING:     /" >&2
--     ;;
-- esac
-- echo "$as_me:$LINENO: checking for netinet/in.h" >&5
-- echo $ECHO_N "checking for netinet/in.h... $ECHO_C" >&6
-- if test "${ac_cv_header_netinet_in_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- else
--   ac_cv_header_netinet_in_h=$ac_header_preproc
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_netinet_in_h" >&5
-- echo "${ECHO_T}$ac_cv_header_netinet_in_h" >&6
-- 
-- fi
-- if test $ac_cv_header_netinet_in_h = yes; then
--   :
-- else
--   { { echo "$as_me:$LINENO: error: \"*** no netinet/in.h\"" >&5
-- echo "$as_me: error: \"*** no netinet/in.h\"" >&2;}
--    { (exit 1); exit 1; }; }
-- fi
-- 
-- 
-- if test "${ac_cv_header_netinet_tcp_h+set}" = set; then
--   echo "$as_me:$LINENO: checking for netinet/tcp.h" >&5
-- echo $ECHO_N "checking for netinet/tcp.h... $ECHO_C" >&6
-- if test "${ac_cv_header_netinet_tcp_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_netinet_tcp_h" >&5
-- echo "${ECHO_T}$ac_cv_header_netinet_tcp_h" >&6
-- else
--   # Is the header compilable?
-- echo "$as_me:$LINENO: checking netinet/tcp.h usability" >&5
-- echo $ECHO_N "checking netinet/tcp.h usability... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- $ac_includes_default
-- #include <netinet/tcp.h>
-- _ACEOF
-- rm -f conftest.$ac_objext
-- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--   (eval $ac_compile) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } &&
-- 	 { ac_try='test -z "$ac_c_werror_flag"
-- 			 || test ! -s conftest.err'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; } &&
-- 	 { ac_try='test -s conftest.$ac_objext'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; }; then
--   ac_header_compiler=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
-- ac_header_compiler=no
-- fi
-- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-- echo "${ECHO_T}$ac_header_compiler" >&6
-- 
-- # Is the header present?
-- echo "$as_me:$LINENO: checking netinet/tcp.h presence" >&5
-- echo $ECHO_N "checking netinet/tcp.h presence... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- #include <netinet/tcp.h>
-- _ACEOF
-- if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
--   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } >/dev/null; then
--   if test -s conftest.err; then
--     ac_cpp_err=$ac_c_preproc_warn_flag
--     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
--   else
--     ac_cpp_err=
--   fi
-- else
--   ac_cpp_err=yes
-- fi
-- if test -z "$ac_cpp_err"; then
--   ac_header_preproc=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
--   ac_header_preproc=no
-- fi
-- rm -f conftest.err conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-- echo "${ECHO_T}$ac_header_preproc" >&6
-- 
-- # So?  What about this header?
-- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
--   yes:no: )
--     { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: accepted by the compiler, rejected by the preprocessor!" >&5
-- echo "$as_me: WARNING: netinet/tcp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: proceeding with the compiler's result" >&5
-- echo "$as_me: WARNING: netinet/tcp.h: proceeding with the compiler's result" >&2;}
--     ac_header_preproc=yes
--     ;;
--   no:yes:* )
--     { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: present but cannot be compiled" >&5
-- echo "$as_me: WARNING: netinet/tcp.h: present but cannot be compiled" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/tcp.h:     check for missing prerequisite headers?" >&5
-- echo "$as_me: WARNING: netinet/tcp.h:     check for missing prerequisite headers?" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: see the Autoconf documentation" >&5
-- echo "$as_me: WARNING: netinet/tcp.h: see the Autoconf documentation" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/tcp.h:     section \"Present But Cannot Be Compiled\"" >&5
-- echo "$as_me: WARNING: netinet/tcp.h:     section \"Present But Cannot Be Compiled\"" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: proceeding with the preprocessor's result" >&5
-- echo "$as_me: WARNING: netinet/tcp.h: proceeding with the preprocessor's result" >&2;}
--     { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: in the future, the compiler will take precedence" >&5
-- echo "$as_me: WARNING: netinet/tcp.h: in the future, the compiler will take precedence" >&2;}
--     (
--       cat <<\_ASBOX
-- ## ------------------------------------------ ##
-- ## Report this to the AC_PACKAGE_NAME lists.  ##
-- ## ------------------------------------------ ##
-- _ASBOX
--     ) |
--       sed "s/^/$as_me: WARNING:     /" >&2
--     ;;
-- esac
-- echo "$as_me:$LINENO: checking for netinet/tcp.h" >&5
-- echo $ECHO_N "checking for netinet/tcp.h... $ECHO_C" >&6
-- if test "${ac_cv_header_netinet_tcp_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- else
--   ac_cv_header_netinet_tcp_h=$ac_header_preproc
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_netinet_tcp_h" >&5
-- echo "${ECHO_T}$ac_cv_header_netinet_tcp_h" >&6
-- 
-- fi
-- if test $ac_cv_header_netinet_tcp_h = yes; then
--   :
-- else
--   { { echo "$as_me:$LINENO: error: \"*** no netinet/tcp.h\"" >&5
-- echo "$as_me: error: \"*** no netinet/tcp.h\"" >&2;}
--    { (exit 1); exit 1; }; }
-- fi
-- 
-- 
-  if test "${ac_cv_header_sys_param_h+set}" = set; then
-    echo "$as_me:$LINENO: checking for sys/param.h" >&5
-  echo $ECHO_N "checking for sys/param.h... $ECHO_C" >&6
---- 20719,20724 ----
-***************
-*** 21303,21454 ****
-  fi
-  
-  
-- if test "${ac_cv_header_sys_socket_h+set}" = set; then
--   echo "$as_me:$LINENO: checking for sys/socket.h" >&5
-- echo $ECHO_N "checking for sys/socket.h... $ECHO_C" >&6
-- if test "${ac_cv_header_sys_socket_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_sys_socket_h" >&5
-- echo "${ECHO_T}$ac_cv_header_sys_socket_h" >&6
-- else
--   # Is the header compilable?
-- echo "$as_me:$LINENO: checking sys/socket.h usability" >&5
-- echo $ECHO_N "checking sys/socket.h usability... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- $ac_includes_default
-- #include <sys/socket.h>
-- _ACEOF
-- rm -f conftest.$ac_objext
-- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--   (eval $ac_compile) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } &&
-- 	 { ac_try='test -z "$ac_c_werror_flag"
-- 			 || test ! -s conftest.err'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; } &&
-- 	 { ac_try='test -s conftest.$ac_objext'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; }; then
--   ac_header_compiler=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
-- ac_header_compiler=no
-- fi
-- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-- echo "${ECHO_T}$ac_header_compiler" >&6
-- 
-- # Is the header present?
-- echo "$as_me:$LINENO: checking sys/socket.h presence" >&5
-- echo $ECHO_N "checking sys/socket.h presence... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- #include <sys/socket.h>
-- _ACEOF
-- if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
--   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } >/dev/null; then
--   if test -s conftest.err; then
--     ac_cpp_err=$ac_c_preproc_warn_flag
--     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
--   else
--     ac_cpp_err=
--   fi
-- else
--   ac_cpp_err=yes
-- fi
-- if test -z "$ac_cpp_err"; then
--   ac_header_preproc=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
--   ac_header_preproc=no
-- fi
-- rm -f conftest.err conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-- echo "${ECHO_T}$ac_header_preproc" >&6
-- 
-- # So?  What about this header?
-- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
--   yes:no: )
--     { echo "$as_me:$LINENO: WARNING: sys/socket.h: accepted by the compiler, rejected by the preprocessor!" >&5
-- echo "$as_me: WARNING: sys/socket.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/socket.h: proceeding with the compiler's result" >&5
-- echo "$as_me: WARNING: sys/socket.h: proceeding with the compiler's result" >&2;}
--     ac_header_preproc=yes
--     ;;
--   no:yes:* )
--     { echo "$as_me:$LINENO: WARNING: sys/socket.h: present but cannot be compiled" >&5
-- echo "$as_me: WARNING: sys/socket.h: present but cannot be compiled" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/socket.h:     check for missing prerequisite headers?" >&5
-- echo "$as_me: WARNING: sys/socket.h:     check for missing prerequisite headers?" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/socket.h: see the Autoconf documentation" >&5
-- echo "$as_me: WARNING: sys/socket.h: see the Autoconf documentation" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/socket.h:     section \"Present But Cannot Be Compiled\"" >&5
-- echo "$as_me: WARNING: sys/socket.h:     section \"Present But Cannot Be Compiled\"" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/socket.h: proceeding with the preprocessor's result" >&5
-- echo "$as_me: WARNING: sys/socket.h: proceeding with the preprocessor's result" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/socket.h: in the future, the compiler will take precedence" >&5
-- echo "$as_me: WARNING: sys/socket.h: in the future, the compiler will take precedence" >&2;}
--     (
--       cat <<\_ASBOX
-- ## ------------------------------------------ ##
-- ## Report this to the AC_PACKAGE_NAME lists.  ##
-- ## ------------------------------------------ ##
-- _ASBOX
--     ) |
--       sed "s/^/$as_me: WARNING:     /" >&2
--     ;;
-- esac
-- echo "$as_me:$LINENO: checking for sys/socket.h" >&5
-- echo $ECHO_N "checking for sys/socket.h... $ECHO_C" >&6
-- if test "${ac_cv_header_sys_socket_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- else
--   ac_cv_header_sys_socket_h=$ac_header_preproc
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_sys_socket_h" >&5
-- echo "${ECHO_T}$ac_cv_header_sys_socket_h" >&6
-- 
-- fi
-- if test $ac_cv_header_sys_socket_h = yes; then
--   :
-- else
--   { { echo "$as_me:$LINENO: error: \"*** no sys/socket.h\"" >&5
-- echo "$as_me: error: \"*** no sys/socket.h\"" >&2;}
--    { (exit 1); exit 1; }; }
-- fi
-- 
-- 
-  if test "${ac_cv_header_sys_time_h+set}" = set; then
-    echo "$as_me:$LINENO: checking for sys/time.h" >&5
-  echo $ECHO_N "checking for sys/time.h... $ECHO_C" >&6
---- 20865,20870 ----
-***************
-*** 21595,21746 ****
-  fi
-  
-  
-- if test "${ac_cv_header_sys_un_h+set}" = set; then
--   echo "$as_me:$LINENO: checking for sys/un.h" >&5
-- echo $ECHO_N "checking for sys/un.h... $ECHO_C" >&6
-- if test "${ac_cv_header_sys_un_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_sys_un_h" >&5
-- echo "${ECHO_T}$ac_cv_header_sys_un_h" >&6
-- else
--   # Is the header compilable?
-- echo "$as_me:$LINENO: checking sys/un.h usability" >&5
-- echo $ECHO_N "checking sys/un.h usability... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- $ac_includes_default
-- #include <sys/un.h>
-- _ACEOF
-- rm -f conftest.$ac_objext
-- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
--   (eval $ac_compile) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } &&
-- 	 { ac_try='test -z "$ac_c_werror_flag"
-- 			 || test ! -s conftest.err'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; } &&
-- 	 { ac_try='test -s conftest.$ac_objext'
--   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
--   (eval $ac_try) 2>&5
--   ac_status=$?
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); }; }; then
--   ac_header_compiler=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
-- ac_header_compiler=no
-- fi
-- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-- echo "${ECHO_T}$ac_header_compiler" >&6
-- 
-- # Is the header present?
-- echo "$as_me:$LINENO: checking sys/un.h presence" >&5
-- echo $ECHO_N "checking sys/un.h presence... $ECHO_C" >&6
-- cat >conftest.$ac_ext <<_ACEOF
-- /* confdefs.h.  */
-- _ACEOF
-- cat confdefs.h >>conftest.$ac_ext
-- cat >>conftest.$ac_ext <<_ACEOF
-- /* end confdefs.h.  */
-- #include <sys/un.h>
-- _ACEOF
-- if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
--   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
--   ac_status=$?
--   grep -v '^ *+' conftest.er1 >conftest.err
--   rm -f conftest.er1
--   cat conftest.err >&5
--   echo "$as_me:$LINENO: \$? = $ac_status" >&5
--   (exit $ac_status); } >/dev/null; then
--   if test -s conftest.err; then
--     ac_cpp_err=$ac_c_preproc_warn_flag
--     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
--   else
--     ac_cpp_err=
--   fi
-- else
--   ac_cpp_err=yes
-- fi
-- if test -z "$ac_cpp_err"; then
--   ac_header_preproc=yes
-- else
--   echo "$as_me: failed program was:" >&5
-- sed 's/^/| /' conftest.$ac_ext >&5
-- 
--   ac_header_preproc=no
-- fi
-- rm -f conftest.err conftest.$ac_ext
-- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-- echo "${ECHO_T}$ac_header_preproc" >&6
-- 
-- # So?  What about this header?
-- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
--   yes:no: )
--     { echo "$as_me:$LINENO: WARNING: sys/un.h: accepted by the compiler, rejected by the preprocessor!" >&5
-- echo "$as_me: WARNING: sys/un.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/un.h: proceeding with the compiler's result" >&5
-- echo "$as_me: WARNING: sys/un.h: proceeding with the compiler's result" >&2;}
--     ac_header_preproc=yes
--     ;;
--   no:yes:* )
--     { echo "$as_me:$LINENO: WARNING: sys/un.h: present but cannot be compiled" >&5
-- echo "$as_me: WARNING: sys/un.h: present but cannot be compiled" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/un.h:     check for missing prerequisite headers?" >&5
-- echo "$as_me: WARNING: sys/un.h:     check for missing prerequisite headers?" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/un.h: see the Autoconf documentation" >&5
-- echo "$as_me: WARNING: sys/un.h: see the Autoconf documentation" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/un.h:     section \"Present But Cannot Be Compiled\"" >&5
-- echo "$as_me: WARNING: sys/un.h:     section \"Present But Cannot Be Compiled\"" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/un.h: proceeding with the preprocessor's result" >&5
-- echo "$as_me: WARNING: sys/un.h: proceeding with the preprocessor's result" >&2;}
--     { echo "$as_me:$LINENO: WARNING: sys/un.h: in the future, the compiler will take precedence" >&5
-- echo "$as_me: WARNING: sys/un.h: in the future, the compiler will take precedence" >&2;}
--     (
--       cat <<\_ASBOX
-- ## ------------------------------------------ ##
-- ## Report this to the AC_PACKAGE_NAME lists.  ##
-- ## ------------------------------------------ ##
-- _ASBOX
--     ) |
--       sed "s/^/$as_me: WARNING:     /" >&2
--     ;;
-- esac
-- echo "$as_me:$LINENO: checking for sys/un.h" >&5
-- echo $ECHO_N "checking for sys/un.h... $ECHO_C" >&6
-- if test "${ac_cv_header_sys_un_h+set}" = set; then
--   echo $ECHO_N "(cached) $ECHO_C" >&6
-- else
--   ac_cv_header_sys_un_h=$ac_header_preproc
-- fi
-- echo "$as_me:$LINENO: result: $ac_cv_header_sys_un_h" >&5
-- echo "${ECHO_T}$ac_cv_header_sys_un_h" >&6
-- 
-- fi
-- if test $ac_cv_header_sys_un_h = yes; then
--   :
-- else
--   { { echo "$as_me:$LINENO: error: \"*** no sys/un.h\"" >&5
-- echo "$as_me: error: \"*** no sys/un.h\"" >&2;}
--    { (exit 1); exit 1; }; }
-- fi
-- 
-- 
-  if test "${ac_cv_header_unistd_h+set}" = set; then
-    echo "$as_me:$LINENO: checking for unistd.h" >&5
-  echo $ECHO_N "checking for unistd.h... $ECHO_C" >&6
---- 21011,21016 ----
-diff -rc toolbuslib-1.1/src/atb-tool.c toolbuslib-1.1-new/src/atb-tool.c
-*** toolbuslib-1.1/src/atb-tool.c	2008-11-10 13:59:41.000000000 +0100
---- toolbuslib-1.1-new/src/atb-tool.c	2010-08-23 16:58:11.000000000 +0200
-***************
-*** 6,22 ****
-  #include <stdlib.h> 
-  #include <unistd.h>
-  #include <errno.h>
-- #include <netdb.h>
-- #include <sys/socket.h>
-  #include <sys/time.h>
-- #include <sys/un.h>
-  #include <sys/param.h>
-- #include <netinet/in.h>
-- #include <netinet/tcp.h>
-  #include <signal.h>
-  #include <string.h>
-! 
-! #include <sys/resource.h>
-  
-  #include <aterm2.h>
-  #include "safio.h"
---- 6,16 ----
-  #include <stdlib.h> 
-  #include <unistd.h>
-  #include <errno.h>
-  #include <sys/time.h>
-  #include <sys/param.h>
-  #include <signal.h>
-  #include <string.h>
-! #include <winsock2.h>
-  
-  #include <aterm2.h>
-  #include "safio.h"
-***************
-*** 39,44 ****
---- 33,40 ----
-  #define MAX_NR_QUEUES	64
-  #define MAX_QUEUE_LEN	128
-  
-+ #define MAXHOSTNAMELEN 256
-+ 
-  /* Operation codes. */
-  /* From Tool to ToolBus. */
-  #define CONNECT 1
-***************
-*** 144,151 ****
-   * Gathers performance stats. 
-   */
-  static ATerm getPerformanceStats(){
-- 	struct rusage resourceUsage;
-- 	
-  	// Type stuff
-  	ATerm remote = (ATerm) ATmakeAppl0(ATmakeAFun("remote", 0, ATtrue));
-  	ATerm toolType = (ATerm) ATmakeAppl1(ATmakeAFun("type", 1, ATfalse), remote);
---- 140,145 ----
-***************
-*** 161,171 ****
-  	// Thread stuff
-  	ATerm threads;
-  	
-- 	getrusage(RUSAGE_SELF, &resourceUsage);
-- 	
-  	{
-! 		int userTime = (int) (resourceUsage.ru_utime.tv_sec * 1000) + (resourceUsage.ru_utime.tv_usec / 1000);
-! 		int systemTime = (int) (resourceUsage.ru_stime.tv_sec * 1000) + (resourceUsage.ru_stime.tv_usec / 1000);
-  		
-  		ATerm userTimeTerm = (ATerm) ATmakeAppl1(ATmakeAFun("user-time", 1, ATfalse), (ATerm) ATmakeInt(userTime));
-  		ATerm systemTimeTerm = (ATerm) ATmakeAppl1(ATmakeAFun("system-time", 1, ATfalse), (ATerm) ATmakeInt(systemTime));
---- 155,163 ----
-  	// Thread stuff
-  	ATerm threads;
-  	
-  	{
-! 		int userTime = 0;
-! 		int systemTime = 0;
-  		
-  		ATerm userTimeTerm = (ATerm) ATmakeAppl1(ATmakeAFun("user-time", 1, ATfalse), (ATerm) ATmakeInt(userTime));
-  		ATerm systemTimeTerm = (ATerm) ATmakeAppl1(ATmakeAFun("system-time", 1, ATfalse), (ATerm) ATmakeInt(systemTime));
-***************
-*** 349,364 ****
-    
-    otp = (OperationTermPair) malloc(sizeof(struct _OperationTermPair));
-  
--   /* Initialize handlers for OS signals */
--   {
--     struct sigaction disconnect;
--     disconnect.sa_handler = disconnectHandler;
--     sigemptyset(&disconnect.sa_mask);
-- 
--     sigaction(SIGTERM, &disconnect, NULL);
--     sigaction(SIGQUIT, &disconnect, NULL);
--   }
-- 
-    /* Get hostname of machine that runs this particular tool */
-    return gethostname(this_host, MAXHOSTNAMELEN);
-  }
---- 341,346 ----
-diff -rc toolbuslib-1.1/src/Makefile.in toolbuslib-1.1-new/src/Makefile.in
-*** toolbuslib-1.1/src/Makefile.in	2008-11-10 13:59:47.000000000 +0100
---- toolbuslib-1.1-new/src/Makefile.in	2010-08-24 10:28:10.000000000 +0200
-***************
-*** 223,234 ****
-  libATB_la_SOURCES = atb-tool.c
-  libATB_la_CPPFLAGS = $(ATERM_CFLAGS)
-  libATB_la_LDFLAGS = -avoid-version -no-undefined $(AM_LDFLAGS)
-! libATB_la_LIBADD = $(ATERM_LIBS) $(SOCKETLIBS)
-  
-  bin_PROGRAMS = tbunpack
-  
-  tbunpack_SOURCES = tbunpack.c atb-tool.c
-! tbunpack_LDADD = $(ATERM_LIBS)
-  subdir = ./src
-  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-  mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
---- 223,234 ----
-  libATB_la_SOURCES = atb-tool.c
-  libATB_la_CPPFLAGS = $(ATERM_CFLAGS)
-  libATB_la_LDFLAGS = -avoid-version -no-undefined $(AM_LDFLAGS)
-! libATB_la_LIBADD = $(ATERM_LIBS) $(SOCKETLIBS) -lwsock32
-  
-  bin_PROGRAMS = tbunpack
-  
-  tbunpack_SOURCES = tbunpack.c atb-tool.c
-! tbunpack_LDADD = $(ATERM_LIBS) -lwsock32
-  subdir = ./src
-  ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-  mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
diff --git a/pkgs/top-level/all-packages.nix b/pkgs/top-level/all-packages.nix
index 04c33ff547a..5c960b5f980 100644
--- a/pkgs/top-level/all-packages.nix
+++ b/pkgs/top-level/all-packages.nix
@@ -6133,8 +6133,6 @@ let
 
   aterm25 = callPackage ../development/libraries/aterm/2.5.nix { };
 
-  aterm28 = lowPrio (callPackage ../development/libraries/aterm/2.8.nix { });
-
   attica = callPackage ../development/libraries/attica { };
 
   attr = callPackage ../development/libraries/attr { };
@@ -7817,23 +7815,6 @@ let
 
   meterbridge = callPackage ../applications/audio/meterbridge { };
 
-  metaEnvironment = recurseIntoAttrs (let callPackage = newScope pkgs.metaEnvironment; in rec {
-    sdfLibrary    = callPackage ../development/libraries/sdf-library { aterm = aterm28; };
-    toolbuslib    = callPackage ../development/libraries/toolbuslib { aterm = aterm28; inherit (windows) w32api; };
-    cLibrary      = callPackage ../development/libraries/c-library { aterm = aterm28; };
-    errorSupport  = callPackage ../development/libraries/error-support { aterm = aterm28; };
-    ptSupport     = callPackage ../development/libraries/pt-support { aterm = aterm28; };
-    ptableSupport = callPackage ../development/libraries/ptable-support { aterm = aterm28; };
-    configSupport = callPackage ../development/libraries/config-support { aterm = aterm28; };
-    asfSupport    = callPackage ../development/libraries/asf-support { aterm = aterm28; };
-    tideSupport   = callPackage ../development/libraries/tide-support { aterm = aterm28; };
-    rstoreSupport = callPackage ../development/libraries/rstore-support { aterm = aterm28; };
-    sdfSupport    = callPackage ../development/libraries/sdf-support { aterm = aterm28; };
-    sglr          = callPackage ../development/libraries/sglr { aterm = aterm28; };
-    ascSupport    = callPackage ../development/libraries/asc-support { aterm = aterm28; };
-    pgen          = callPackage ../development/libraries/pgen { aterm = aterm28; };
-  });
-
   mhddfs = callPackage ../tools/filesystems/mhddfs { };
 
   ming = callPackage ../development/libraries/ming { };